#ifndef AIRPLANE_H_INCLUDED
#define AIRPLANE_H_INCLUDED

#include "Horde3D.h"
#include "Vec3.h"
/**
 * The Airplane is a kind of "deus ex machina", in that point that there is a need of respawning enemies in
 * a plausible way without further ado. The Airplane is used to drop an Enemy from the sky. This Enemy is
 * bound to fly towards earth due to gravity in a way of parachuting.
 */
class Airplane {
private:
	H3DNode _model, _emitter1, _emitter2;
public:
	Airplane();
	~Airplane();
	void update(float timeStep);
	Vec3 getPosition();
	bool isReadyForJump();
private:
	void setPosition(float x);
};

#endif